Subject: [Sip] Routing NOTIFY requests

From: "Frank W. Miller" <[email-masked]>
Date: Tue, 26 Dec 2006 21:32:57 -0700

Consider the following scenario:

UA1        Proxy      UA2/PUA
| SUBSCRIBE |            |
|---------->|            |
|           |  SUBSCRIBE |
|           |----------->|
|           |   200 OK   |
|           |<-----------|
|  200 OK   |            |
|<----------|            |
|           |     NOTIFY |
|           |  ??<-------|
|           |            |

Further assume that the Proxy added a Record-Route header to the
SUBSCRIBE request.

Perhaps I just overlooked this but 3265 and 3856 do not explicity say
how the NOTIFY is to be routed.  Should 1) the NOTIFY request be routed
through the proxy using the address in the Record-Route header or 2)
sent directly to the UA1 per the Contact header in the SUBSCRIBE
request?  I guess if I read 3261 correctly about requests within a
dialog, I would assume case 2 but presence of the Record-Route has me
confused.

Thanks,
FM

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Balaji Murlitharan <[email-masked]>
Date: Wed, 27 Dec 2006 10:19:44 +0530

Hi ,
As per the RFC 3265 section 3.2.3,If the Initial Subscribe contains the 
Record-Route then the Notify should follow the record-route header value.
So the Notify will go to the Proxy server....

Thanks
Balaji Murlitharan.C

"Frank W. Miller" <[email-masked]> 
12/27/2006 10:02 AM

To
IETF SIP List <[email-masked]>
cc

Subject
[Sip] Routing NOTIFY requests

UA1        Proxy      UA2/PUA
| SUBSCRIBE |            |
|---------->|            |
|           |  SUBSCRIBE |
|           |----------->|
|           |   200 OK   |
|           |<-----------|
|  200 OK   |            |
|<----------|            |
|           |     NOTIFY |
|           |  ??<-------|
|           |            |

Thanks,
FM

***********************  Aricent-Private   ***********************

***********************  Aricent-Private   ***********************
"DISCLAIMER: This message is proprietary to Aricent and is intended solely for the use of 
the individual to whom it is addressed. It may contain privileged or confidential information and should not be 
circulated or used for any purpose other than for what it is intended. If you have received this message in error, 
please notify the originator immediately. If you are not the intended recipient, you are notified that you are strictly
prohibited from using, copying, altering, or disclosing the contents of this message. Aricent accepts no responsibility for 
loss or damage arising from the use of the information transmitted by this email including damage from virus."
_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "vamsi" <[email-masked]>
Date: Fri, 29 Dec 2006 10:44:42 +0530

Hi, 
     Can any one give pointers where to start for SMS over VoIP.  Any RFCs?
Any pointer from where to start will be highly appreciable. Is the rfc 3761
appropriate for implmenting SMS via VoIP?
 
thanks & regards,
 vamsi.

---

From: [email-masked]
Date: Fri, 29 Dec 2006 00:14:04 -0500

From: "vamsi" <[email-masked]>

   Can any one give pointers where to start for SMS over VoIP.  Any
   RFCs?  Any pointer from where to start will be highly
   appreciable. Is the rfc 3761 appropriate for implmenting SMS via
   VoIP?

ENUM (RFC 3761) is probably a good basis for addressing SMS messages.
The MESSAGE method seems to be the best way to send a stand-alone
message to a SIP URI.  But for message conversations, there is a
"codec" type for SDP for IM-like communications that should usually be
used.

Dale

---

From: "vamsi" <[email-masked]>
Date: Fri, 29 Dec 2006 13:28:39 +0530

Hi Dale,
 	 Thanks for the message.  But for MESSAGE conversation, what kind of
codec is used, that is audio codec or any other specified codec?  As per RFC
3551 Audio and video codecs are specified.  

Thanks & regards,
Annasagaram vamsi. 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Friday, December 29, 2006 10:44 AM
To: [email-masked]
Subject: Re: [Sip] SMS via VoIP

ENUM (RFC 3761) is probably a good basis for addressing SMS messages.
The MESSAGE method seems to be the best way to send a stand-alone message to
a SIP URI.  But for message conversations, there is a "codec" type for SDP
for IM-like communications that should usually be used.

Dale

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol Use
[email-masked] for questions on current sip Use
[email-masked] for new developments on the application of sip